LibreOffice: GraphicProvider Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

List of all members
GraphicProvider Service Referencepublished

Central service of the Graphic API that gives access to graphics of any kind. More...

`import"GraphicProvider.idl";`

Inheritance diagram for GraphicProvider:

## Additional Inherited Members
Public Member Functions inherited from XGraphicProvider
::com::sun::star::beans::XPropertySet | queryGraphicDescriptor ([in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Calling this method returns a com::sun::star::beans::XPropertySet interface that gives access to the properties of the unloaded graphic. More...
XGraphic | queryGraphic ([in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Calling this method returns a XGraphic interface that holds the graphic content after loading the graphic. More...
void | storeGraphic ([in] ::com::sun::star::graphic::XGraphic Graphic, [in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Store the graphic content, represented through the XGraphic interface at the specified location. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Central service of the Graphic API that gives access to graphics of any kind.

This service allows to load graphics from and to store graphics to any location. The one and only interface that has to be implemented is the XGraphicProvider interface, that exposes the necessary methods for loading and storing the graphic contents and descriptors

See also
  XGraphicProvider

The documentation for this service was generated from the following file:

- com/sun/star/graphic/GraphicProvider.idl